%define version 2.2

Summary: A program which creates MS-DOS FAT filesystems on Linux systems.
Name: dosfstools
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/System
Source: ftp://metalab.unc.edu/pub/Linux/system/filesystems/dosfs/dosfstools-%{version}.src.tar.gz
Patch0: dosfstools-2.1-llseek.patch
BuildRoot: /var/tmp/dosfstools-root
Obsoletes: mkdosfs-ygg

%description
The mkdosfs program is used to create an MS-DOS FAT file system on a
Linux system device, usually a disk partition.

The mkdosfs package should be installed if your machine needs to support
MS-DOS style file systems.

%prep
%setup -q
%patch0 -p1 -b .llseek

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

install -m755 -s mkdosfs/mkdosfs $RPM_BUILD_ROOT/sbin/mkfs.msdos
ln -sf mkfs.msdos $RPM_BUILD_ROOT/sbin/mkdosfs
install -m 644 mkdosfs/mkdosfs.8 $RPM_BUILD_ROOT/usr/man/man8
ln -sf mkdosfs.8 $RPM_BUILD_ROOT/usr/man/man8/mkfs.msdos.8

install -m755 -s dosfsck/dosfsck $RPM_BUILD_ROOT/sbin/dosfsck
ln $RPM_BUILD_ROOT/sbin/dosfsck $RPM_BUILD_ROOT/sbin/fsck.msdos
install -m 644 dosfsck/dosfsck.8 $RPM_BUILD_ROOT/usr/man/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/sbin/mkfs.msdos 
/sbin/mkdosfs
/sbin/dosfsck
/sbin/fsck.msdos
/usr/man/man8/mkfs.msdos.8
/usr/man/man8/mkdosfs.8
/usr/man/man8/dosfsck.8

%changelog
* Mon Aug 16 1999 Matt Wilson <msw@redhat.com>
- updated to 2.2

* Sun Jun 27 1999 Matt Wilson <msw@redhat.com>
- changed to new maintainer, renamed to dosfstools

* Sat Apr 17 1999 Jeff Johnson <jbj@redhat.com>
- fix mkdosfs on sparc (#1746)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Jan 21 1999 Bill Nottingham <notting@redhat.com>
- build for RH 6.0

* Tue Oct 13 1998 Cristian Gafton <gafton@redhat.com>
- avoid using unsinged long on alphas 

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
